[Set]
备注item=Formitem.AddItem("@@Csharp.SetTextArea('$fieldname$','$field$','##Table[\"$table$\"].$field$##','6','$must$','')@@");

备注list=PageContent.AddList("<td>$fieldname$</td>", "<td>@$field$@</td>");

备注只读item=Formitem.AddItem("@@Csharp.SetShowMemo('$fieldname$','##Table[\"$table$\"].$field$##','')@@");
备注只读list=PageContent.AddList("<td>$fieldname$</td>", "<td>@$field$@</td>");

浮点数item=Formitem.AddItem("@@Csharp.SetInputText('$fieldname$','$field$','##Table[\"$table$\"].$field$##','25','$must$','')@@");

浮点数list=PageContent.AddList("@@Const.PageOrderField('$parttable$list.aspx?"+GetParameter()+"&ord=','$field$','" + Para("ord") + "','$fieldname$')@@", "<td>@$field$@</td>");

浮点数JS=$('$field$').onkeyup=CheckFloat;

日期item=Formitem.AddItem("@@Csharp.SetInputText('$fieldname$','$field$','##Table[\"$table$\"].$field$##','25','$must$','<input type=\"button\" value=\"日期\" class=\"button\"  onclick=\"popUpCalendar($(&#39;$field$&#39;), $(&#39;$field$&#39;), &#39;yyyy-mm-dd&#39;,-1,-1,&#39;&#39;)\"  />')@@");

日期list=PageContent.AddList("@@Const.PageOrderField('$parttable$list.aspx?"+GetParameter()+"&ord=','$field$','" + Para("ord") + "','$fieldname$')@@", "<td>@$field$@</td>");

日期Script=<script type="text/javascript" src="/common/popcalendar.js"  charset="utf-8"></script>

文本item=Formitem.AddItem("@@Csharp.SetInputText('$fieldname$','$field$','##Table[\"$table$\"].$field$##','25','$must$','')@@");

文本list=PageContent.AddList("@@Const.PageOrderField('$parttable$list.aspx?"+GetParameter()+"&ord=','$field$','" + Para("ord") + "','$fieldname$')@@", "<td>@$field$@</td>");

文件item=Formitem.AddItem("@@Csharp.SetInputText('$fieldname$','$field$','##Table[\"$table$\"].$field$##','45','$must$',' <input class=\"button\" type=\"button\" value=\"上载...\" onclick=\"ShowFileUpload(&#39;$field$&#39;,1,140)\" />')@@");

选择item=Formitem.AddItem("@@Csharp.SetInputSelect('$fieldname$','$field$','##Const.ss##','##Table[\"$table$\"].$field$##','$must$','')@@");
选择只读item=Formitem.AddItem("@@Csharp.SetShowText('$fieldname$','"+this["@@Csharp.GetSelectValue('"+Formitem["$field$"]+"','##Const.ss()##')@@"]+"','')@@");

选择list=PageContent.AddList("@@Const.PageOrderField('$parttable$list.aspx?"+GetParameter()+"&ord=','$field$','" + Para("ord") + "','$fieldname$')@@", "<td>@@Csharp.GetSelectValue('@$field$@','##Const.ss()##')@@</td>");  
选择只读list=PageContent.AddList("@@Const.PageOrderField('$parttable$list.aspx?"+GetParameter()+"&ord=','$field$','" + Para("ord") + "','$fieldname$')@@", "<td>@@Csharp.GetSelectValue('@$field$@','##Const.ss()##')@@</td>");  

单选item=Formitem.AddItem("@@Csharp.SetInputRadio('$fieldname$','$field$','##Const.ss##','##Table[\"$table$\"].$field$##','$must$','')@@");
单选只读item=Formitem.AddItem("@@Csharp.SetShowText('$fieldname$','"+this["@@Csharp.GetSelectValue('"+Formitem["$field$"]+"','##Const.ss()##')@@"]+"','')@@");

单选list=PageContent.AddList("@@Const.PageOrderField('$parttable$list.aspx?"+GetParameter()+"&ord=','$field$','" + Para("ord") + "','$fieldname$')@@", "<td>@@Csharp.GetSelectValue('@$field$@','##Const.ss()##')@@</td>");  
单选只读list=PageContent.AddList("@@Const.PageOrderField('$parttable$list.aspx?"+GetParameter()+"&ord=','$field$','" + Para("ord") + "','$fieldname$')@@", "<td>@@Csharp.GetSelectValue('@$field$@','##Const.ss()##')@@</td>");  


隐藏item=Formitem.AddOther("@@Csharp.SetInputHidden('$field$','##Table[\"$table$\"].$field$##')@@");

整数item=Formitem.AddItem("@@Csharp.SetInputText('$fieldname$','$field$','##Table[\"$table$\"].$field$##','25','$must$','')@@");

整数list=PageContent.AddList("@@Const.PageOrderField('$parttable$list.aspx?"+GetParameter()+"&ord=','$field$','" + Para("ord") + "','$fieldname$')@@", "<td>@$field$@</td>");

整数JS=$('$field$').onkeyup=CheckInt;

只读item=Formitem.AddItem("@@Csharp.SetShowText('$fieldname$','##Table[\"$table$\"].$field$##','')@@");
只读list=PageContent.AddList("@@Const.PageOrderField('$parttable$list.aspx?"+GetParameter()+"&ord=','$field$','" + Para("ord") + "','$fieldname$')@@", "<td>@$field$@</td>");

ID= PageContent.AddList("<td>ID</td>","<td>@$field$@</td>");